Bug 693365 - cpuplugd: Fix incorrect multiplication in rules evaluation
Summary: cpuplugd: Fix incorrect multiplication in rules evaluation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.0
Hardware: s390x
OS: All
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 684385
TreeView+ depends on / blocked
 
Reported: 2011-04-04 12:51 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:33 UTC (History)
7 users (show)

Fixed In Version: s390utils-1.8.2-35.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:33:15 UTC


Attachments (Terms of Use)
s390-tools-rhel6-cpuplugd-multiplication.patch (641 bytes, text/plain)
2011-04-04 12:51 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 71167 None None None Never

Description IBM Bug Proxy 2011-04-04 12:51:12 UTC
s390-tools-rhel6-cpuplugd-multiplication.patch

Description: cpuplugd: Fix incorrect multiplication in rules evaluation
Symptom:     Rules don't evaluate correctly when multiplication (*) is used.
Problem:     Missing return statement in switch/case block.
Solution:    Add return statement.

The patch has been tested, fixes the problem, and will be included in the next
upstream release of the s390-tools.

With best regards,
     Hendrik

Comment 1 IBM Bug Proxy 2011-04-04 12:51:17 UTC
Created attachment 489765 [details]
s390-tools-rhel6-cpuplugd-multiplication.patch

Comment 3 RHEL Product and Program Management 2011-04-04 12:53:29 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 9 IBM Bug Proxy 2011-05-10 12:50:27 UTC
------- Comment From lnx1138@linux.vnet.ibm.com 2011-05-10 08:41 EDT-------
Patch verified. Closing...

Comment 10 errata-xmlrpc 2011-05-19 13:33:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.